{{page-title @model.event.name " | " (capitalize (t "edit"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{@model.event}}
        @teams={{@model.teams}}
        @hasIsDefault={{false}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{fn this.save "visibility.isPublic"}}
        @saveIsDefault={{fn this.save "visibility.isDefault"}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />

      <Manage::ModelInfo
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @model={{@model.event}}
        @onSave={{this.save}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
      />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit event")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        <Manage::Row @name="article">
          <Manage::Article
            @title={{t "name and description"}}
            @editablePanel={{this.editableField}}
            @value={{@model.event.contentBlocks}}
            @onSave={{this.saveArticle}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
            @onPictureUpload={{this.onPictureUpload}}
          />
        </Manage::Row>

        <Manage::Row @name="cover">
          <Manage::Cover
            @title={{t "cover photo"}}
            @model="event"
            @modelId={{@model.event.id}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "cover"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.event.cover}}
          />
        </Manage::Row>

        {{#if @model.calendar.hasIcons}}
          <Manage::Row @name="icons">
            <Manage::Icons
              @title={{t "icons"}}
              @isDisabled={{this.isDisabled}}
              @value={{@model.event.icons}}
              @iconSets={{@model.iconSets}}
              @editablePanel={{this.editableField}}
              @onSave={{fn this.saveField "icons"}}
              @onCancel={{this.cancel}}
              @onEdit={{this.edit}}
            />
          </Manage::Row>
        {{/if}}

        {{#if this.isSchedule}}
          <Manage::Row @name="schedule">
            <Manage::Schedule
              @onEdit={{this.edit}}
              @onCancel={{this.cancel}}
              @onSave={{fn this.saveField "entries"}}
              @value={{@model.event.entries}}
              @title="schedule"
              @editablePanel={{this.editableField}}
              @savingPanel={{this.savingField}}
            />
          </Manage::Row>
        {{else}}
          <Manage::Row @name="entries">
            <Manage::CalendarEntryList
              @onEdit={{this.edit}}
              @onCancel={{this.cancel}}
              @onSave={{fn this.saveField "entries"}}
              @value={{@model.event.entries}}
              @title="entries"
              @editablePanel={{this.editableField}}
              @savingPanel={{this.savingField}}
            />
          </Manage::Row>
        {{/if}}

        <Manage::Row @name="location">
          <Manage::EventLocation
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @value={{@model.event.location}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @title={{t "location"}}
            @onSave={{fn this.saveField "location"}}
            @map={{@model.map}}
          />
        </Manage::Row>

        {{#if @model.calendar.attributes}}
          <Manage::Row @name="attributes">
            <Manage::AttributesGroup
              @value={{@model.event.attributes}}
              @attributes={{@model.calendar.attributes}}
              @onSave={{fn this.saveField "attributes"}}
              @onEdit={{this.edit}}
              @onCancel={{this.cancel}}
              @editablePanel={{this.editableField}}
              @savingPanel={{this.savingField}}
              @title={{t "attributes"}}
            />
          </Manage::Row>
        {{/if}}
      </:content>
    </Manage::Container>
  </div>
{{/if}}